/'
 ' Project Publisher - Installer Creator Addin for FbEdit and RadASM
 '
 ' Copyright (C) 2010 Arnel A. Borja (Galeon)
 '
 ' This program is free software: you can redistribute it and/or modify it under 
 ' the terms of the GNU General Public License as published by the Free Software 
 ' Foundation, either version 3 of the License, or (at your option) any later 
 ' version.
 '
 ' This program is distributed in the hope that it will be useful, but WITHOUT 
 ' ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
 ' FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more 
 ' details.
 '
 ' You should have received a copy of the GNU General Public License along with 
 ' this program.  If not, see <http://www.gnu.org/licenses/>.
 '
 '/

#Include Once "windows.bi"
#Include Once "win/commctrl.bi"
#Include Once "win/shellapi.bi"
#Include Once "htmlhelp.bi"

#Include Once "FbEdit.bi"
#Include Once "RadASM.bi"

#Include Once "ProjPub.bi"
#Include Once "Settings.bi"
#Include Once "Help.bi"
#Include Once "Resource.bi"

Sub ShowContextHelp( _
	ByVal HelpInfo As HELPINFO Ptr _
	)

	Static HtmlHelpPopup As HH_POPUP
	Static HtmlHelpFile As String

	GetClassName( HelpInfo->hItemHandle, @buffer, MAX_PATH )

	If buffer <> WC_STATIC Then

		HtmlHelpFile = IDEPath & "\Addins\Help\ProjPub.chm"
	
		With HtmlHelpPopup
			.cbStruct			= SizeOf( HH_POPUP )
			.idString			= HelpInfo->iCtrlId
			.pt					= HelpInfo->MousePos
			.clrForeground		= -1
			.clrBackground		= -1
			.rcMargins.left	= -1
			.rcMargins.top		= -1
			.rcMargins.right	= -1
			.rcMargins.bottom	= -1
		End With
	
		HtmlHelp( _
			HelpInfo->hItemHandle, _
			StrPtr( HtmlHelpFile ), _
			HH_DISPLAY_TEXT_POPUP, _
			Cast( DWORD_PTR, @HtmlHelpPopup ) _
			)

	End If

End Sub
