#Define THEMES_INCREASE							3

Type WizardTheme
	Name As ZString Ptr
	DescFile As ZString Ptr
	BitmapInstall As ZString Ptr
	BitmapUninstall As ZString Ptr
End Type

Type HeaderTheme
	Name As ZString Ptr
	DescFile As ZString Ptr
	BitmapInstall As ZString Ptr
	BitmapInstallRight As ZString Ptr
	BitmapUninstall As ZString Ptr
	BitmapUninstallRight As ZString Ptr
End Type

Type IconTheme
	Name As ZString Ptr
	DescFile As ZString Ptr
	IconInstall As ZString Ptr
	IconUninstall As ZString Ptr
End Type

Common Shared WizardThemes(  ) As WizardTheme
Common Shared WizardThemesNum As Integer
Common Shared WizardThemesMax As Integer
Common Shared WizardThemeDefault As Integer

Common Shared HeaderThemes(  ) As HeaderTheme
Common Shared HeaderThemesNum As Integer
Common Shared HeaderThemesMax As Integer
Common Shared HeaderThemeDefault As Integer

Common Shared IconThemes(  ) As IconTheme
Common Shared IconThemesNum As Integer
Common Shared IconThemesMax As Integer
Common Shared IconThemeDefault As Integer

Declare Function MuiDialogProc( ByVal hWin As HWND, ByVal uMsg As UINT, ByVal wParam As WPARAM, ByVal lParam As LPARAM ) As BOOL
Declare Sub LoadGraphics( ByRef Location As Const String )
Declare Sub FreeGraphics(  )
Declare Sub AddToWizardThemes( ByVal Filename As String )
Declare Sub AddToHeaderThemes( ByVal Filename As String )
Declare Sub AddToIconThemes( ByVal Filename As String )
Declare Function GetWizardThemeId( ByRef filename As Const String ) As Integer
Declare Function GetHeaderThemeId( ByRef filename As Const String ) As Integer
Declare Function GetIconThemeId( ByRef filename As Const String ) As Integer
