#Define ADDIN_NAME								"ProjPub"

#Define PROJPUB_FEATURES_REMDRVINST			1 Shl 0
#Define PROJPUB_FEATURES_SHORTCUTS			1 Shl 1
#Define PROJPUB_FEATURES_FILEASSOC			1 Shl 2
#Define PROJPUB_FEATURES_RUNONFINISH		1 Shl 3

#Define PROJPUB_SHORTCUT_MAINPROGRAM		1 Shl 0
#Define PROJPUB_SHORTCUT_UNINSTALLER		1 Shl 1
#Define PROJPUB_SHORTCUT_PRJWEBSITE			1 Shl 2
#Define PROJPUB_SHORTCUT_MAININDESKTOP		1 Shl 3

#Define PROJPUB_MUI_NOWELCOMEFINISHPAGE	1 Shl 0

#Define IDM_FBEMAKE								10141
#Define IDM_FBEOPTIONS							10161
#Define IDM_RAMAKE								49905
#Define IDM_RAOPTIONS							49908

#Define IDE_FBEDIT								0
#Define IDE_RADASM								1

#Define RUNNSIS_BUFFSIZE						1024

Enum
	PROJPUB_PROJTYPE_BASIC
	PROJPUB_PROJTYPE_GAME
	PROJPUB_PROJTYPE_FBEADDIN
	PROJPUB_PROJTYPE_ADVANCE
	PROJPUB_PROJTYPE_GTKP
	PROJPUB_PROJTYPE_APPPLUGIN
End Enum

Enum
	PROJPUB_EXECLEVEL_ADMIN
	PROJPUB_EXECLEVEL_POWERUSER
	PROJPUB_EXECLEVEL_HIGHEST
	PROJPUB_EXECLEVEL_STANDARD
End Enum

Enum
	PROJPUB_REMDRVINST_DISABLE
	PROJPUB_REMDRVINST_ADDOPTION
	PROJPUB_REMDRVINST_SILENTCHECK
End Enum

Enum
	PROJPUB_WIZPAGE_WELCOME
	PROJPUB_WIZPAGE_PROJTYPE
	PROJPUB_WIZPAGE_PROJINFO
	PROJPUB_WIZPAGE_PROJWEB
	PROJPUB_WIZPAGE_LICENSE
	PROJPUB_WIZPAGE_MULTIUSER
	PROJPUB_WIZPAGE_INSTALLFOLDER
	PROJPUB_WIZPAGE_FILES
	PROJPUB_WIZPAGE_MUI
	PROJPUB_WIZPAGE_REMDRVINST
	PROJPUB_WIZPAGE_SHORTCUTS
	PROJPUB_WIZPAGE_LANGDLL
	PROJPUB_WIZPAGE_FILEASSOC
	PROJPUB_WIZPAGE_UNINST
	PROJPUB_WIZPAGE_PREVIEW
	PROJPUB_WIZPAGE_PUBLISH
	PROJPUB_WIZPAGE_FINISH
	PROJPUB_WIZPAGE_FAILED
	PROJPUB_WIZPAGES
End Enum

Type ProjPub_File
	Name As ZString Ptr
	Next As ProjPub_File Ptr
End Type

Type ProjPub_Folder
	Name As ZString Ptr
	Next As ProjPub_Folder Ptr
	File As ProjPub_File
End Type

Type ProjPub_Lang
	Name As ZString Ptr
	FileName As ZString Ptr
	Next As ProjPub_Lang Ptr
End Type

Type ProjPub_FileTypeContextMenu
	Verb As ZString Ptr
	ItemText As ZString Ptr
	Command As ZString Ptr
	Next As ProjPub_FileTypeContextMenu Ptr
End Type

Type ProjPub_FileType
	Ext As ZString Ptr
	AppIDKey As ZString Ptr
	Description As ZString Ptr
	DefaultIcon As ZString Ptr
	Next As ProjPub_FileType Ptr
	ContextMenu As ProjPub_FileTypeContextMenu
End Type

#Define PROJPUB_WIZPAGES_END					PROJPUB_WIZPAGES-1

Common Shared hInstance As HINSTANCE
Common Shared FbEHooks As FBEADDINHOOKS
Common Shared lpFbEHandles As FBEADDINHANDLES Ptr
Common Shared lpFbEFunctions As FBEADDINFUNCTIONS Ptr
Common Shared lpFbEData As FBEADDINDATA Ptr
Common Shared RaHooks As RAADDINHOOKS
Common Shared lpRaHandles As RAADDINHANDLES Ptr
Common Shared lpRaFunctions As RAADDINPROCS Ptr
Common Shared lpRaData As RAADDINDATA Ptr

Common Shared WelcomeMsgFont As HFONT
Common Shared HeaderTitleFont As HFONT
Common Shared hDC As HDC

Common Shared IDM_PUBLISH As Unsigned Integer
Common Shared IDM_PUBLISHOPTIONS As Unsigned Integer
Common Shared MakeSubMenu As HMENU

Common Shared buffer As ZString * MAX_PATH+1

Common Shared DisabledFeatures As Integer
Common Shared LastPublishResult As Integer

Common Shared CurIDE As Integer
Common Shared IDEPath As ZString * MAX_PATH+1
Common Shared CurProjectFile As ZString * MAX_PATH+1
Common Shared CurProjectPath As ZString * MAX_PATH+1

Declare Sub ShowProjectPublishWizard ( ByVal hwndOwner As HWND )
Declare Function ProjectPublishWizardCallback ( ByVal hwndDlg As HWND, ByVal uMsg As UINT, ByVal lParam As LPARAM ) As Integer
Declare Sub DisableUnneededFeatures(  )
Declare Function GetTranslateString( ByRef KeyName As Const String, ByRef KeyValueDefault As Const String ) As String
Declare Sub AddAccelerator( ByVal fvirt As Integer, ByVal akey As Integer, ByVal id As Integer )
Declare Sub ErrorBox( ByVal hWin As HWND, ByRef text As Const String )
Declare Function OpenFileName( ByVal hWin As HWND, ByVal lpszTitle As ZString Ptr, ByVal lpszInitialDir As ZString Ptr, ByVal lpszFilter As ZString Ptr ) As String
Declare Function GetDir( ByRef Path As Const String ) As String
Declare Function GetFileName( ByRef Path As Const String ) As String
Declare Function GetBaseName( ByRef Path As Const String ) As String
Declare Function GetUpFromParentDir( ByRef Path As Const String ) As Integer
Declare Function EnableDlgItem( ByVal hWin As HWND, ByVal nIDDlgItem As Integer, ByVal bEnable As BOOL ) As BOOL
Declare Function GetRelativePath( ByVal AbsolutePath As Const String, ByVal Folder As Const String ) As String
Declare Function EscapeNSIS( ByRef UnescapedStr As Const String ) As String
Declare Function FilterNSISIdentifier( ByRef NSISIdentifier As Const String ) As String
